<a class="nav-link" routerLink="/admin">Retour à l'accueil</a>
<div class="contai workner center" xmlns="http://www.w3.org/1999/html">


  <div class="container">
    <div class=" text-center">
      <img class="d-block mx-auto mb-4" src="assets/images/home/inscription.png"
           alt="" width="200" height="200">
    </div>

    <div class="card m-3">
      <h5 class="card-header center"><p align="center">Modfication Membre</p></h5>
      <div class="card-body">
        <form #f="ngForm" >
          <h4 class="mb-3">Votre identité:</h4>
          <div class="form-row">

            <div class="form-group col-md-6 mb-3">
              <label>Prenom :</label>
              <input type="text" class="form-control" name="prnm" placeholder="votre Prenom" required
                     minlength="3"
                     pattern="[a-zA-Z]+$"
                     [(ngModel)]="membreItem.prenom"  #n="ngModel">
              <div class="alert alert-danger" *ngIf="n.invalid && n.touched ">
                <div *ngIf="n.errors.required">Prenom est obligatoire</div>
                <div *ngIf="n.errors.minlength"> votre Prenom min 3</div>
                <div *ngIf="n.errors.pattern"> Que des lettres</div>
              </div>
            </div>
            <div class="form-group col-md-6 mb-3 " >
              <label>Nom :</label>
              <input type="text" class="form-control" name="nom" placeholder="Votre nom" required
                     minlength="3"
                     pattern="[a-zA-Z]+$"
                     [(ngModel)]="membreItem.name" #m="ngModel">
              <div class="alert alert-danger" *ngIf="m.invalid && m.touched ">
                <div *ngIf="m.errors.required">Votre nom est obligatoire</div>
                <div *ngIf="m.errors.minlength"> votre nom min 3</div>
                <div *ngIf="m.errors.pattern"> Que des lettres SVP</div>
              </div>
            </div>
            <div class="form-group col-md-6 mb-3">
              <label>Date de naissance :</label>
              <input type="date" class="form-control" name="dateNaiss"  required

                     [(ngModel)]="membreItem.dateNaisc"  #dateN="ngModel">
              <div class="alert alert-danger" *ngIf="dateN.invalid && dateN.touched ">
                <div *ngIf="dateN.errors.required">Selectionner votre date de naissance</div>
              </div>
            </div>
          </div>
          <div class="form-row">
            <div class="form-group col-sm-8">
              <label>Adresse postale :</label>
              <input type="text" class="form-control" name="adr" placeholder="12 rue,avenue, résidence ...." required
                     [(ngModel)]="membreItem.adresseP"  #d="ngModel">
              <div class="alert alert-danger" *ngIf="d.invalid && d.touched ">
                <div *ngIf="d.errors.required">votre adresse est obligatoire</div>

              </div>
            </div>


          </div>
          <hr class="mb-4">
          <h4 class="mb-3">Vos moyens de contact :</h4>
          <div class="form-row">
            <div class="form-group col-md-6 mb-3">
              <label>Email :</label>
              <input type="email" class="form-control" name="mail" placeholder="exemple@exemple.com" required
                     pattern="[a-z0-9._%+-]+@[a-z0-9.-]+\.[a-z]{2,}$"
                     [(ngModel)]="membreItem.email"  #x="ngModel">
              <div class="alert alert-danger" *ngIf="x.invalid && x.touched ">
                <div *ngIf="x.errors.required">email est obligatoire</div>
                <div *ngIf="x.errors.pattern"> email invalid</div>
              </div>
            </div>
            <div class="form-group col-md-6 mb-3">
              <label>Téléphone :</label>
              <input type="number" class="form-control" name="tel" placeholder="votre numéro" required
                     pattern="[0-9]{8}"
                     [(ngModel)]="membreItem.NumTel"  #v="ngModel">
              <div class="alert alert-danger" *ngIf="v.invalid && v.touched ">
                <div *ngIf="v.errors.required">numéro est obligatoire</div>
                <div *ngIf="v.errors.pattern"> numéro invalid</div>
              </div>
            </div>
          </div>
          <hr class="mb-4">



          <div class="form-group text-center">
            <button class="btn btn-primary mr-1"(click)="modif()"
                   > Modifier </button>
            <button class="btn btn-secondary" type="reset" >Annuler</button>
          </div>


        </form></div></div></div>







